### Method

# Ide TestManager run_all_finish

#### Declaration

    gboolean
    ide_test_manager_run_all_finish (
      IdeTestManager* self,
      GAsyncResult* result,
      GError** error
    )

#### Description

Completes an asynchronous request to execute all unit tests.

A return value of `TRUE` does not indicate that all tests succeeded, only that all tests were executed. Individual test failures will be attached to the `IdeTest` instances.

Available since: | 3.32

#### Parameters

`result` | `GAsyncResult`
| A `GAsyncResult`.
| The data is owned by the caller of the function.
`error` | `GError **`
| The return location for a `GError*`, or `NULL`.

#### Return value

Returns: | `gboolean`
| `TRUE` if successful; otherwise `FALSE` and `error` is set.